6.0.0-git
2021-01-18

[#14691] Use PECL memcached instead of PECL memcache
Summary Use PECL memcached instead of PECL memcache
Queue Horde Base
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester arjen+horde (at) de-korte (dot) org
Created 2017-09-20 (1216 days ago)
Due
Updated 2017-10-20 (1186 days ago)
Assigned
Resolved 2017-09-21 (1215 days ago)
Milestone
Patch No

History
2017-10-20 20:33:50 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit c9c06496b0b67de08730734ce491eeca51a6c3fd
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 21 Sep 2017 13:17:37 +0200

[jan] Check for both the memcache and memcached extensions in test 
script (Bug #14691).

  M docs/CHANGES
  M lib/Test.php
  M package.xml

https://github.com/horde/base/commit/c9c06496b0b67de08730734ce491eeca51a6c3fd
2017-09-21 12:12:55 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 53c995dae171b5e0ee27a24482e7b50886553729
Author: Jan Schneider <jan@horde.org>
Date:   Thu Sep 21 13:17:37 2017 +0200

     [jan] Check for both the memcache and memcached extensions in 
test script (Bug #14691).

  horde/docs/CHANGES |  8 ++++++++
  horde/lib/Test.php | 13 +++++++++++--
  horde/package.xml  | 15 ++++++++++++++-
  3 files changed, 33 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/53c995dae171b5e0ee27a24482e7b50886553729
2017-09-21 11:57:00 Jan Schneider Type ⇒ Bug
Version ⇒ FRAMEWORK_5_2
Queue ⇒ Horde Base
State ⇒ Resolved
Priority ⇒ 1. Low
 
2017-09-21 11:56:43 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2017-09-21 11:17:53 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit a0a0825b18e75407e3dc032f87a1773f8dcee3a0
Author: Jan Schneider <jan@horde.org>
Date:   Thu Sep 21 13:17:37 2017 +0200

     [jan] Check for both the memcache and memcached extensions in 
test script (Bug #14691).

  horde/docs/CHANGES |  2 ++
  horde/lib/Test.php | 13 +++++++++++--
  horde/package.xml  |  4 ++--
  3 files changed, 15 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/a0a0825b18e75407e3dc032f87a1773f8dcee3a0
2017-09-21 08:25:30 arjen+horde (at) de-korte (dot) org Comment #3 Reply to this comment
In retrospect, this wasn't as clear as I intended. Currently it is 
already possible to use 'memcached', but the test script will only 
check for 'memcache'. It might be better to check for 'memcached' 
instead.
2017-09-21 08:24:08 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
Horde_Memcache already supports the memcached extension since version 
2.1.0, i.e. for over a year.
2017-09-20 19:36:19 arjen+horde (at) de-korte (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Use PECL memcached instead of PECL memcache
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
It looks like the PECL extension 'memcache' isn't compatible with 
PHP7. Since 'memcached' is and mostly works without changes to Horde, 
use that instead.

Saved Queries